## com.google.gwt.user.client.ui
Interface SourcesLoadEvents

All Known Implementing Classes:
  Image

Deprecated. use `HasErrorHandlers` and `HasLoadHandlers` instead

    @Deprecated
    public interface SourcesLoadEvents

A widget that implements this interface sources the events defined by the `LoadListener` interface.

Method Summary
`void` | `addLoadListener(LoadListener listener)` Deprecated. use `HasLoadHandlers#addLoadHandler` instead
`void` | `removeLoadListener(LoadListener listener)` Deprecated. Use the `HandlerRegistration#removeHandler` method on the object returned by `HasLoadHandlers#addLoadListener` instead

Method Detail

### addLoadListener

    @Deprecated
    void addLoadListener(LoadListener listener)

  Deprecated. use `HasLoadHandlers#addLoadHandler` instead

  Adds a listener interface to receive load events.

  Parameters:
    `listener` - the listener interface to add

### removeLoadListener

    @Deprecated
    void removeLoadListener(LoadListener listener)

  Deprecated. Use the `HandlerRegistration#removeHandler` method on the object returned by `HasLoadHandlers#addLoadListener` instead

  Removes a previously added listener interface.

  Parameters:
    `listener` - the listener interface to remove